#!/bin/sh

echo "~> Grabbing a random image from unsplash.com..."

mkdir -p /mnt/etc/wallpapers/

for tag in {forest,ocean,sky}; do
    wget https://unsplash.com/photos/$(curl https://unsplash.com/search/photos/$tag | grep -oE "photo=([a-zA-Z0-9_\\-]*)" | shuf -n 1 | sed -e "s/photo=//g")/download -O /mnt/etc/wallpapers/$tag-$(uuidgen).jpg
done

amf_return=0
